Summary:   Efficient Reading/Writing of Complete Files
Name:      perl-File-Slurp
Version:   9999.32
Release:   5%{?dist}
License:   GPL+ or Artistic
URL:       https://metacpan.org/release/File-Slurp
Source0:   https://cpan.metacpan.org/modules/by-module/File/File-Slurp-%{version}.tar.gz

BuildArch: noarch

BuildRequires: make %{__perl}
BuildRequires: perl(Carp) perl(Errno) perl(Exporter) perl(Fcntl) perl(POSIX) perl(re) perl(strict)
BuildRequires: perl(vars) perl(warnings) perl-generators perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename) perl(File::Spec) perl(File::Temp) perl(IO::Handle) perl(lib)
BuildRequires: perl(Socket) perl(Symbol) perl(Test::More) perl(Scalar::Util) perl(overload)

%description
This module provides subs that allow you to read or write entire files with one simple call. They
are designed to be simple to use, have flexible ways to pass in or get the file contents and to be
very efficient. There is also a sub to read in all the files in a directory other than . and ..

These slurp/spew subs work for files, pipes and sockets, and stdio, pseudo-files, and DATA.

%prep
%autosetup -n File-Slurp-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
chmod -R u+w %{buildroot}/*

%check
%{__make} test

%files
%doc Changes README.md
%{perl_vendorlib}/File
%{_mandir}/man3/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9999.32-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 9999.32-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9999.32-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9999.32-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 1 2023 Shuo Wang <abushwang@tencent.com> - 9999.32-1
- initial build
